=== debian/changelog ===
kubuntu-docs (6.10-1) edgy; urgency=low

  * Edgy docs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Sep 2006 02:41:32 +0100
