=== debian/changelog ===
kubuntu-docs (7.04-5) feisty; urgency=low

  * String fixes and updated translation files
    - kubuntu/games/C/game.xml (Closes: 95492 & 94930)
    - kubuntu/keeping-safe/C/keeping-safe.xml (Closes: 94273)
    - kubuntu/libs/kde-menus-C.ent (Closes: 95108)
    - kubuntu/libs/ccbysa.html & contributors.html (Closes: 94649)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 26 Mar 2007 10:20:05 -0500

kubuntu-docs (7.04-4) feisty; urgency=low

  * Move firefox/img directory to firefox/images, missed in previous upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Mar 2007 16:18:49 +0000

kubuntu-docs (7.04-3) feisty; urgency=low

  * Fixed file conflict with ubuntu-docs (Closes #91749)
    - kubuntu/firefox-homepage/index.html renamed to kindex.html
    - move kindex.html to kfirefox-index.html in
      /usr/share/ubuntu-artwork/home/
    - debian/postinst: fixed to install and set kfirefox-index.html
      as firefox-homepage alternative
  * Fixed old doc dir to be removed correctly during upgrade (Closes #91927)
    - debian/prerm: set firefox-homepage to auto and then remove
      kfirefox-index.html correctly. If ubuntu-docs package is installed
      this will make sure that it falls back to the ubuntu-docs firefox
      startpage 
  * Moved around firefox-startpage to isntall and not conflict - removed from
    kubuntu/Makefile and placed in debian/rules for correct placement

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 13 Mar 2007 23:54:14 -0500

kubuntu-docs (7.04-2) feisty; urgency=low

  * Updated package
    - Latest Topic Based Help Documentation
    - Kubuntu Firefox Startpage 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu,  8 Mar 2007 23:41:46 -0600

kubuntu-docs (7.04-1) feisty; urgency=low

  * Feisty Docs pre-release
    -includes: about-kubuntu, systemdocs, server, and packaging guide
    -removed: releasenotes (ubiquity slideshow), desktopguide (sysdocs) 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 14 Jan 2007 21:18:25 -0600
