## kubuntu-docs 7.10-5

=== kubuntu/Makefile ===
--- 
+++ 
@@ -40,11 +40,7 @@
 
 # Stylesheets for building HTML and PDF
 KUBUNTUXSL=libs/kubuntu-chunk.xsl
-# Uncomment the line below this and comment out the line above this to build website with tabs
-# KUBUNTUXSL=libs/kubuntu-web.xsl
-
-# Temporary stylesheets for doc.ubuntu.com index
-TMPXSL=tmplibs/tmp-chunk.xsl
+INDEXXSL=libs/index-table.xsl
 
 # Makes an Image list text file
 MKIMGLST=../libs/imagelist.xsl
@@ -57,11 +53,8 @@
 # Base kde directories for output from processor
 KBASE=$(BUILDDIR)kubuntu/
 
-old: clean about desktop package server release-notes
-
+# all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
 all: clean style tbh
-
-kdeb: clean style tbh
 
 # Style
 style:
@@ -71,24 +64,111 @@
 	mkdir $(KBASE)images/C/
 	mkdir $(KBASE)images/callouts/
 	mkdir $(KBASE)images/navig/
-	cp libs/kde-default.css $(KBASE)common/
-	cp libs/kubuntu-default.css $(KBASE)common/
+	mkdir $(KBASE)images/index
+	cp libs/*.css $(KBASE)common/
 	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/
 	cp images/admon/*.png $(KBASE)images/admon/
 	cp images/C/*.png $(KBASE)images/C/
 	cp images/callouts/*.png $(KBASE)images/callouts/
 	cp images/navig/*.png $(KBASE)images/navig/
+	cp images/index/*.png $(KBASE)images/index/
 
 # Topic Based Help
 tbh:
 
-	for doc in about-kubuntu add-applications basic-concepts config-desktop \
-	files-and-docs games getting-help hardware internet keeping-safe \
-	musicvideophotos network newtokubuntu office printing programming \
-	sysdocs-index system-settings; do xsltproc --xinclude -o $(KBASE)$$doc/C/index.html \
-	$(KUBUNTUXSL) $$doc/C/$$doc.xml; done
+	# ABOUT KUBUNTU
+	for cc in `cat about-kubuntu/lang`; do \
+	xsltproc --stringparam generate.toc "no" \
+	--param chunk.first.sections 0 --xinclude -o \
+	$(KBASE)about-kubuntu/$$cc/index.html $(KUBUNTUXSL) \
+	about-kubuntu/$$cc/about-kubuntu.xml; done
+
+    # ADD APPLICATIONS
+	for cc in `cat add-applications/lang`; do \
+	xsltproc --xinclude -o $(KBASE)add-applications/$$cc/index.html \
+	$(KUBUNTUXSL) add-applications/$$cc/add-applications.xml; done
+
+    # BASIC CONCEPTS
+	for cc in `cat basic-concepts/lang`; do \
+	xsltproc --xinclude -o $(KBASE)basic-concepts/$$cc/index.html \
+	$(KUBUNTUXSL) basic-concepts/$$cc/basic-concepts.xml; done
+
+    # CONFIG DESKTOP
+	for cc in `cat config-desktop/lang`; do \
+	xsltproc --xinclude -o $(KBASE)config-desktop/$$cc/index.html \
+	$(KUBUNTUXSL) config-desktop/$$cc/config-desktop.xml; done
+
+    # FILES AND DOCS
+	for cc in `cat files-and-docs/lang`; do \
+	xsltproc --xinclude -o $(KBASE)files-and-docs/$$cc/index.html \
+	$(KUBUNTUXSL) files-and-docs/$$cc/files-and-docs.xml; done
+
+    # GAMES
+	for cc in `cat games/lang`; do \
+	xsltproc --xinclude -o $(KBASE)games/$$cc/index.html \
+	$(KUBUNTUXSL) games/$$cc/games.xml; done
+
+	# GETTING HELP
+	for cc in `cat getting-help/lang`; do \
+	xsltproc --xinclude -o $(KBASE)getting-help/$$cc/index.html \
+	$(KUBUNTUXSL) getting-help/$$cc/getting-help.xml; done
+
+    # HARDWARE
+	for cc in `cat hardware/lang`; do \
+	xsltproc --xinclude -o $(KBASE)hardware/$$cc/index.html \
+	$(KUBUNTUXSL) hardware/$$cc/hardware.xml; done
+
+	# INDEX
+	for cc in `cat index/lang`; do \
+	xsltproc --xinclude -o $(KBASE)index/$$cc/index.html \
+	$(INDEXXSL) index/$$cc/index.xml; done
+
+    # INTERNET
+	for cc in `cat internet/lang`; do \
+	xsltproc --xinclude -o $(KBASE)internet/$$cc/index.html \
+	$(KUBUNTUXSL) internet/$$cc/internet.xml; done
+
+    # KEEPING SAFE
+	for cc in `cat keeping-safe/lang`; do \
+	xsltproc --xinclude -o $(KBASE)keeping-safe/$$cc/index.html \
+	$(KUBUNTUXSL) keeping-safe/$$cc/keeping-safe.xml; done
+
+    # MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
+	for cc in `cat musicvideophotos/lang`; do \
+	xsltproc --xinclude -o $(KBASE)musicvideophotos/$$cc/index.html \
+	$(KUBUNTUXSL) musicvideophotos/$$cc/musicvideophotos.xml; done
+
+    # NETWORK
+	for cc in `cat network/lang`; do \
+	xsltproc --xinclude -o $(KBASE)network/$$cc/index.html \
+	$(KUBUNTUXSL) network/$$cc/network.xml; done
+
+    # NEW TO KUBUNTU
+	for cc in `cat newtokubuntu/lang`; do \
+	xsltproc --xinclude -o $(KBASE)newtokubuntu/$$cc/index.html \
+	$(KUBUNTUXSL) newtokubuntu/$$cc/newtokubuntu.xml; done
+
+	# OFFICE
+	for cc in `cat office/lang`; do \
+	xsltproc --xinclude -o $(KBASE)office/$$cc/index.html \
+	$(KUBUNTUXSL) office/$$cc/office.xml; done
+
+	# PRINTING AND SCANNING
+	for cc in `cat printing/lang`; do \
+	xsltproc --xinclude -o $(KBASE)printing/$$cc/index.html \
+	$(KUBUNTUXSL) printing/$$cc/printing.xml; done
+
+    # PROGRAMMING (GENERAL)
+	for cc in `cat programming/lang`; do \
+	xsltproc --xinclude -o $(KBASE)programming/$$cc/index.html \
+	$(KUBUNTUXSL) programming/$$cc/programming.xml; done
+
+    # SYSTEM SETTINGS
+	for cc in `cat system-settings/lang`; do \
+	xsltproc --xinclude -o $(KBASE)system-settings/$$cc/index.html \
+	$(KUBUNTUXSL) system-settings/$$cc/system-settings.xml; done
 
 # Cleanup
+clean:
 
-clean:
 	rm -rf $(KBASE)*
