=== debian/changelog ===
kubuntu-docs (7.10-5) gutsy; urgency=low

  * Translations added for languages that were available in Rosetta
  * debian/rules:
    - Fixed Internet installation location
    - Replaced sysdocs-index with index for installation
  * debian/postinst: fixed linking error with images
  * debian/prerm: added an rm that will remove previous images link done by
    the postinst so uninstall removes all kubuntu-doc items
  * Updated kubuntu/Makefile to build out translations
  * debian/control: updated my email address

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 12 Oct 2007 09:31:18 -0500

kubuntu-docs (7.10-4) gutsy; urgency=low

  * New SVN checkout - string freeze
  * Fixed files-and-docs (LP: #139613)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 14 Sep 2007 10:20:56 -0500

kubuntu-docs (7.10-3) gutsy; urgency=low

  * Hopefully fixed the localized links (LP: #109341)
  * Fixed the index links (LP: #133418)
  * Fixed the harddrives.xml link (LP: #133415)
  * Regenerated .pot files for translation

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 03 Sep 2007 20:19:28 -0500

kubuntu-docs (7.10-2) gutsy; urgency=low

  * New SVN checkout
  * Commented out translations in debian/rules until final release
  * Added about-kubuntu.desktop to plugins/kubuntu for LiveCD desktop icon
  * Added index-table.css to debian/rules for the index.html file
  * Cleaned up Makefile in SVN, show changes here
  * Added pot files for about-kubuntu and systemdocs .desktop and .directory
    files
  * Closes the following bugs:
    - (LP: #125325)
    - (LP: #131076)
    - (LP: #107062)
    - (LP: #129327)
    - (LP: #123648)
    - (LP: #131366)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 17 Aug 2007 16:58:46 -0500

kubuntu-docs (7.10-1) gutsy; urgency=low

  * Initial release for Kubuntu 7.10 'The Gutsy Gibbon'

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 21 May 2007 20:07:00 -0500

kubuntu-docs (7.04-6) feisty; urgency=low

  * Translations added
  * debian/control: added docbook-xml to build-deps

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 20 Apr 2007 17:35:17 -0500
