=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Richard A. Johnson <nixternal@kubuntu.org>, Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml, perl, perl-modules, kdelibs-data, kdelibs-bin
Standards-Version: 3.7.2

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * Kubuntu Topic Based Help Documentation
  * Kubuntu Firefox Startpage
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>
