## kubuntu-docs 8.04-3

=== kubuntu/Makefile ===
--- 
+++ 
@@ -83,27 +83,27 @@
 	$(KBASE)about-kubuntu/$$cc/index.html $(KUBUNTUXSL) \
 	about-kubuntu/$$cc/about-kubuntu.xml; done
 
-    # ADD APPLICATIONS
+	# ADD APPLICATIONS
 	for cc in `cat add-applications/lang`; do \
 	xsltproc --xinclude -o $(KBASE)add-applications/$$cc/index.html \
 	$(KUBUNTUXSL) add-applications/$$cc/add-applications.xml; done
 
-    # BASIC CONCEPTS
+	# BASIC CONCEPTS
 	for cc in `cat basic-concepts/lang`; do \
 	xsltproc --xinclude -o $(KBASE)basic-concepts/$$cc/index.html \
 	$(KUBUNTUXSL) basic-concepts/$$cc/basic-concepts.xml; done
 
-    # CONFIG DESKTOP
+	# CONFIG DESKTOP
 	for cc in `cat config-desktop/lang`; do \
 	xsltproc --xinclude -o $(KBASE)config-desktop/$$cc/index.html \
 	$(KUBUNTUXSL) config-desktop/$$cc/config-desktop.xml; done
 
-    # FILES AND DOCS
+	# FILES AND DOCS
 	for cc in `cat files-and-docs/lang`; do \
 	xsltproc --xinclude -o $(KBASE)files-and-docs/$$cc/index.html \
 	$(KUBUNTUXSL) files-and-docs/$$cc/files-and-docs.xml; done
 
-    # GAMES
+	# GAMES
 	for cc in `cat games/lang`; do \
 	xsltproc --xinclude -o $(KBASE)games/$$cc/index.html \
 	$(KUBUNTUXSL) games/$$cc/games.xml; done
@@ -113,7 +113,7 @@
 	xsltproc --xinclude -o $(KBASE)getting-help/$$cc/index.html \
 	$(KUBUNTUXSL) getting-help/$$cc/getting-help.xml; done
 
-    # HARDWARE
+	# HARDWARE
 	for cc in `cat hardware/lang`; do \
 	xsltproc --xinclude -o $(KBASE)hardware/$$cc/index.html \
 	$(KUBUNTUXSL) hardware/$$cc/hardware.xml; done
@@ -123,27 +123,27 @@
 	xsltproc --xinclude -o $(KBASE)index/$$cc/index.html \
 	$(INDEXXSL) index/$$cc/index.xml; done
 
-    # INTERNET
+	# INTERNET
 	for cc in `cat internet/lang`; do \
 	xsltproc --xinclude -o $(KBASE)internet/$$cc/index.html \
 	$(KUBUNTUXSL) internet/$$cc/internet.xml; done
 
-    # KEEPING SAFE
+	# KEEPING SAFE
 	for cc in `cat keeping-safe/lang`; do \
 	xsltproc --xinclude -o $(KBASE)keeping-safe/$$cc/index.html \
 	$(KUBUNTUXSL) keeping-safe/$$cc/keeping-safe.xml; done
 
-    # MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
+	# MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
 	for cc in `cat musicvideophotos/lang`; do \
 	xsltproc --xinclude -o $(KBASE)musicvideophotos/$$cc/index.html \
 	$(KUBUNTUXSL) musicvideophotos/$$cc/musicvideophotos.xml; done
 
-    # NETWORK
+	# NETWORK
 	for cc in `cat network/lang`; do \
 	xsltproc --xinclude -o $(KBASE)network/$$cc/index.html \
 	$(KUBUNTUXSL) network/$$cc/network.xml; done
 
-    # NEW TO KUBUNTU
+	# NEW TO KUBUNTU
 	for cc in `cat newtokubuntu/lang`; do \
 	xsltproc --xinclude -o $(KBASE)newtokubuntu/$$cc/index.html \
 	$(KUBUNTUXSL) newtokubuntu/$$cc/newtokubuntu.xml; done
@@ -158,12 +158,12 @@
 	xsltproc --xinclude -o $(KBASE)printing/$$cc/index.html \
 	$(KUBUNTUXSL) printing/$$cc/printing.xml; done
 
-    # PROGRAMMING (GENERAL)
+	# PROGRAMMING (GENERAL)
 	for cc in `cat programming/lang`; do \
 	xsltproc --xinclude -o $(KBASE)programming/$$cc/index.html \
 	$(KUBUNTUXSL) programming/$$cc/programming.xml; done
 
-    # SYSTEM SETTINGS
+	# SYSTEM SETTINGS
 	for cc in `cat system-settings/lang`; do \
 	xsltproc --xinclude -o $(KBASE)system-settings/$$cc/index.html \
 	$(KUBUNTUXSL) system-settings/$$cc/system-settings.xml; done
