=== debian/changelog ===
kubuntu-docs (8.04-3) hardy; urgency=low

  * Translations completed (LP: #203422)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Thu, 10 Apr 2008 09:52:27 -0500

kubuntu-docs (8.04-2) hardy; urgency=low

  * Latest checkout of docs from bzr
  * Added lintian overrides file (LP: #194843)
  * Fixed the firefox startpage fonts (LP: #195590)
  * Updated firefox startpage translations (LP: #203422)
  * Added link to log to allow page to link to kubuntu.org (LP: #108083)
  * Updated copyright dates (LP: #192202)
  * Fixed faulty strings in games.xml
    - (LP: #201781)
    - (LP: #201785)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 21 Mar 2008 11:14:36 -0500

kubuntu-docs (8.04-1) hardy; urgency=low

  * Initial Hardy Release, closes the following bug reports:
    - FTBFS in latest archive rebuild test - replaced kdelibs-bin with
      kdelibs4c2a (LP: #194514)
    - Faulty strings in Games documentation (LP: #141239)
    - Missing word in French translated Firefox homepage (LP: #159645)
    - Typo in Multimedia documentation (LP: #177461)
  * Bumped Standards-Version to 3.7.3
  * Cleaned up debian/control to contain no more than 80 columns per row
  * Commented out translation stuff in debian/rules until the new translations
    are completed

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sat, 23 Feb 2008 01:50:44 -0600
