=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Richard A. Johnson <nixternal@kubuntu.org>, Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml, perl, perl-modules, kdelibs-data, kdelibs-bin
-Standards-Version: 3.7.2
+Uploaders: Richard A. Johnson <nixternal@kubuntu.org>,
+ Jonathan Riddell <jriddell@ubuntu.com>
+Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml,
+ perl, perl-modules, kdelibs-data, kdelibs4c2a
+Standards-Version: 3.7.3
 
 Package: kubuntu-docs
 Architecture: all
